5 Replies Latest reply on Mar 5, 2015 7:19 AM by Vishwanath Bannur

    Upgrade from Richfaces 4.3.7 to 4.5 Problems

    Mohammad Weshah Novice

      my current environment is :
      - Richfaces 4.3.7
      - java 1.7.0.60
      -JBoss 7.1.1 (JSF 2.1.17)

       

      when i am trying to upgrad to Richfaces 4.5 , with the same JVM and Jboss server version i have the following problems:

       

      1- in my log I see the following messages :

       

      WARNING [javax.enterprise.resource.webcontainer.jsf.application] (http--0.0.0.0-8080-5) JSF1064: Unable to find or serve resource, select/select/select.js, from library, org.richfaces.

       

      WARNING [javax.enterprise.resource.webcontainer.jsf.context] (http--0.0.0.0-8080-6) JSF1091: No mime type could be found for file RESOURCE_NOT_FOUND. To resolve this, add a mime-type mapping to the applications web.xml.

       

      WARNING [javax.enterprise.resource.webcontainer.jsf.application] (http--0.0.0.0-8080-6) JSF1064: Unable to find or serve resource, RESOURCE_NOT_FOUND.

       

      2- any rich select with empty values let my application hang (a4j:status hang)

       

      ex:

       

      <rich:select id="mydis"
                         defaultLabel="Select VALUE" />

       

      I debug it by JavaScript debugger I see the following :

       

      if (_this.clientSelectItems.length != 0) {
      _this.__updateItems();

       

      //Unable to get property 'length' of undefined or null reference

       

      to solve this i add empty select item like this <f:selectItem />

       

      3- my application have rich:collapsiblePanel and it is by default expanded="false" and switchType="ajax"

       

      when i click on it it dose not expanded but if i change switchType to server or client it works

       

      ex:

       

      <rich:collapsiblePanel id="phAttachmentPanel"
                                         immediate="true"
                                         expanded="false"
                                         switchType="ajax" this not working

       

      >

       

      i waste a lot of time on try migration from 4.3.7 to 4.5 can you help and give me a solution for the above Richface 4.5 problems, or it is a bug by Richfaces 4.5 and still it is not stable.

       

      Note : i tried to upgrade the server to WildFly 8.1 final i have a lot of problem maybe by JSF 2.2 byt i back to Jboss 7.1.1 because it has JSF 2.1.17 when it my application stable with Richfaces 4.5 on it i will upgrade to jsf 2.2.

       

      Regards

      Wish79

        • 1. Re: Upgrade from Richfaces 4.3.7 to 4.5 Problems
          Michal Petrov Master

          It seems you don't have the correct dependencies. "select/select/select.js" is not used in RF 4.5, it was only used in RF 5 Alpha releases, as far as I remember. Also, use Mojarra 2.1.28 or higher, RichFaces 4.5 is not compatible with lower version.

          • 2. Re: Re: Upgrade from Richfaces 4.3.7 to 4.5 Problems
            Mohammad Weshah Novice

            Dear Michel,

            Thanks for your answer , what i did i upgrade my application to WildFly 8.1 Server so my environment as following :

            - Richfaces 4.5

            - java 1.7.0.60

            - WildFly Server 8.1 Final (JSF 2.2.6)


            My problems result with above change as following :


            1- in my log I see the following messages :(Same Problem With JSF 2.2.6)

             

            2- any rich select with empty values let my application hang (a4j:status hang) (Same Problem With JSF 2.2.6)


            3- my application have rich:collapsiblePanel and it is by default expanded="false" and switchType="ajax" (Working with JSF 2.2.6)


            But another problems appears which is related to JSF 2.2.6 but let us close the above pointS mainly point #2,


            one of new problems is the

            <rich:notifyMessages stayTime="120000"

                                 globalOnly="true"

                                 nonblocking="true"/>

             

            is not working with JSF 2.2.6


             

            Regards

            Wish79

            • 3. Re: Upgrade from Richfaces 4.3.7 to 4.5 Problems
              Luis Eduardo Buitrago Newbie

              Hello Michal

               

              I have the same problem using Richfaces 4.5 and Richfaces 4.5.2, java 1.7 and WildFly Server 8.1 Final (JSF 2.2.9)

               

              11:35:04,398 WARNING [javax.enterprise.resource.webcontainer.jsf.application] (default task-30) JSF1064: no se encuentra o sirve el recurso, select/select/select.js, desde la biblioteca, org.richfaces.

               

              11:35:04,541 WARNING [javax.enterprise.resource.webcontainer.jsf.context] (default task-38) JSF1091: no se ha encontrado ningún tipo MIME para el archivo RESOURCE_NOT_FOUND.  Para resolverlo, agregue una asignación de tipo MIME al archivo web.xml de la aplicación.

               

              11:35:04,543 WARNING [javax.enterprise.resource.webcontainer.jsf.application] (default task-38) JSF1064: no se encuentra o sirve el recurso, RESOURCE_NOT_FOUND.

               

              I downloaded richfaces-4.5.2.Final, inside  richfaces-rich-4.5.2.Final.jar  you can find three references to /select.js  "richfaces-rich-4.5.2.Final\META-INF\csv.xml line 221", "richfaces-rich-4.5.2.Final\META-INF\resources\org.richfaces.ckeditor\ckeditor.js line 759", "richfaces-rich-4.5.2.Final\org\richfaces\renderkit\SelectRendererBase.java line 70" files

              • 4. Re: Upgrade from Richfaces 4.3.7 to 4.5 Problems
                Michal Petrov Master

                Ah, the reference is wrong in the csv.xml. Nothing is broken though, the select component links select.js from the correct location.

                • 5. Re: Upgrade from Richfaces 4.3.7 to 4.5 Problems
                  Vishwanath Bannur Newbie

                  Hi Mohammad Weshah

                   

                  You can use below stable version to avoid issues.

                   

                  Wildfly-8.2

                  JSF-2.2.9

                  Richfaces- 4.5.2.Final

                  Java 1.8